################################################################################
# THIS FUNCTION ESTIMATES THE 3RD MOMENT OF V
################################################################################

est_Ev3 <- function(min_age,max_age,p,q,curr_rho,extract){
#Ev3_list = NULL;

#for(t in min_age:(max_age-q-1)){

N = dim(extract)[1];

y = extract[,1];
kappa = sum(curr_rho) - 1;
mu = extract[,1+q+1] - extract[,1];
for(iter in 1:p){
 mu = mu - curr_rho[iter]*(extract[,1+q+1-iter] - extract[,1]);
}

Ev3 = mean(mu)^3/kappa^3;
Ev3 = Ev3 + ( 3*mean(mu*y)*mean(mu) - 3*mean(y)*mean(mu)^2 ) / kappa^2;
Ev3 = Ev3 + ( mean(mu*y^2) - 2*mean(mu*y)*mean(y) - mean(y^2)*mean(mu) + 2*mean(y)^2*mean(mu) ) / kappa;

#Ev3_list = cbind(Ev3_list, Ev3);
#}

#age = min_age:(max_age-q-1);
#colnames(Ev3_list) <- age;

#return( t( Ev3_list ) );
return( t( Ev3 ) );
}

