library(mvtnorm);

get_bivariate_normal_conditional_expectation <- function(xlist,fxx){

xlist_interval = xlist[2]-xlist[1];
xmat1 = array(xlist,dim=c(length(xlist),length(xlist)));
xmat2 = t(xmat1);

mean1 = sum( xmat1 * fxx * xlist_interval^2);
mean2 = sum( xmat2 * fxx * xlist_interval^2);
var1 = sum( xmat1^2 * fxx * xlist_interval^2) - mean1^2;
var2 = sum( xmat2^2 * fxx * xlist_interval^2) - mean2^2;
cov = sum( xmat1 * xmat2 * fxx * xlist_interval^2) - mean1 * mean2;

ylist = mean2 + cov / var1 * (xlist - mean1);

return( ylist );
}