################################################################################
# THIS FUNCTION COMPUTES VAR(V_{T+1} - RHO_{T+1} V_T)
################################################################################

get_varVrhoV <- function(fvv,vlist,rho){

VrhoV1st = 0;
VrhoV2nd = 0;
for(iter in 1:length(vlist)){
 for(jter in 1:length(vlist)){
  VrhoV1st = VrhoV1st + ( vlist[jter] - rho * vlist[iter] ) * fvv[iter,jter] * (vlist[2]-vlist[1])^2;
  VrhoV2nd = VrhoV2nd + ( vlist[jter] - rho * vlist[iter] )^2 * fvv[iter,jter] * (vlist[2]-vlist[1])^2;
 }
}
varVrhoV = VrhoV2nd - VrhoV1st^2;

return(varVrhoV);
}