################################################################################
# THIS FUNCTION ESTIMATES PHI_U - RETURNS "phi_u_list"
# ROWS = AGES, COLS = S
################################################################################

est_phi_u <- function(min_age,max_age,slist,phi_v_list){
phi_u_list = NULL;

for(t in min_age:(max_age-q-1)){

curr_rho = t( rho_list[t-min_age+1,] );
extract = extract_data(t,t+1,TRUE);
slist_interval = slist[2] - slist[1];

phi_u = array(0,length(slist));
for(iter in 1:length(slist)){
 phi_u[iter] = mean( exp(1i * slist[iter] * extract[,1]) );
 phi_u[iter] = phi_u[iter] / phi_v_list[(t-min_age+1),iter];
}

phi_u_list = cbind(phi_u_list, phi_u);

}

age = min_age:(max_age-q-1);
colnames(phi_u_list) <- age;

return( t( phi_u_list ) );
}