################################################################################
# THIS FUNCTION ESTIMATES PHI_ETA - RETURNS "phi_eta_list"
# ROWS = AGES, COLS = S
################################################################################

stationary_est_phi_eta <- function(min_age,max_age,slist,phi_u_list){
phi_eta_list = NULL;

for(t in (min_age+1):(max_age-q-1)){

phi_eta = array(0,length(slist));
for(iter in 1:length(slist)){
 phi_eta[iter] = phi_u_list[(max_age-q-1-min_age+1),iter] / (phi_u_list[(min_age+1-min_age),iter] + 0.000000001);
 phi_eta[iter] = exp( log(phi_eta[iter]) / (max_age-q-1-min_age+1 - (min_age+1-min_age)) );
}

phi_eta_list = cbind(phi_eta_list, phi_eta);

}

age = (min_age+1):(max_age-q-1);
colnames(phi_eta_list) <- age;

return( t( phi_eta_list ) );
}