################################################################################
# NONPARAMETRICALLY COMPUTE IRF AFTER SHOCK AT AGE t BY "estimate_NPIRF.r"
################################################################################
t = 30;        ### Baseline Age
source("estimation_NPIRF.r");
IRF30 = IRF;
IRF30[which(IRF30==0)] = NA
t = 35;        ### Baseline Age
source("estimation_NPIRF.r");
IRF35 = IRF;
IRF35[which(IRF35==0)] = NA
t = 40;        ### Baseline Age
source("estimation_NPIRF.r");
IRF40 = IRF;
IRF40[which(IRF40==0)] = NA
t = 45;        ### Baseline Age
source("estimation_NPIRF.r");
IRF45 = IRF;
IRF45[which(IRF45==0)] = NA

counterfactualU = -0.1;
counterfactualV = -0.3;
idxV = order(abs(vlist-counterfactualV))[1]
plot(min_age:horizon ,0*min_age:horizon ,type="l",lty=1,ylim=c(-.5,.5),xlab="Age t",ylab=expression(Y[t]))
par(new=TRUE)
plot(min_age:horizon ,counterfactualU+IRF30[,idxV],type="l",lty=2,ylim=c(-.5,.5),xlab="",ylab="")
#par(new=TRUE)
#plot(min_age:horizon ,counterfactualU+IRF35[,idxV],type="l",lty=2,ylim=c(-.5,.5),xlab="",ylab="")
par(new=TRUE)
plot(min_age:horizon ,counterfactualU+IRF40[,idxV],type="l",lty=3,ylim=c(-.5,.5),xlab="",ylab="")
#par(new=TRUE)
#plot(min_age:horizon ,counterfactualU+IRF45[,idxV],type="l",lty=3,ylim=c(-.5,.5),xlab="",ylab="")
legend(min_age,0.5,paste("( U , V ) = (",counterfactualU,",",counterfactualV,")"," at t =",c(30,40)),lty=c(2,3))