################################################################################
# NONPARAMETRICALLY COMPUTE VAR IRF AFTER SHOCK AT AGE t BY "estimate_NPIRF.r"
################################################################################
t = 30;        ### Baseline Age
source("estimation_NPIRF_variance_U.r");
IRF30_var_U = IRF_var_U_smooth;
IRF30_var_U[t-min_age+1,] = 0;
source("estimation_NPIRF_variance_V.r");
IRF30_var_V = IRF_var_V;
#IRF30_var_V[which(IRF30_var_V==0)] = NA
t = 35;        ### Baseline Age
source("estimation_NPIRF_variance_U.r");
IRF35_var_U = IRF_var_U_smooth;
IRF35_var_U[t-min_age+1,] = 0;
source("estimation_NPIRF_variance_V.r");
IRF35_var_V = IRF_var_V;
#IRF35_var_V[which(IRF35_var_V==0)] = NA
t = 40;        ### Baseline Age
source("estimation_NPIRF_variance_U.r");
IRF40_var_U = IRF_var_U_smooth;
IRF40_var_U[t-min_age+1,] = 0;
source("estimation_NPIRF_variance_V.r");
IRF40_var_V = IRF_var_V;
#IRF40_var_V[which(IRF40_var_V==0)] = NA
t = 45;        ### Baseline Age
source("estimation_NPIRF_variance_U.r");
IRF45_var_U = IRF_var_U_smooth;
IRF45_var_U[t-min_age+1,] = 0;
source("estimation_NPIRF_variance_V.r");
IRF45_var_V = IRF_var_V;
#IRF45_var_V[which(IRF45_var_V==0)] = NA

counterfactualU = -0.1;
counterfactualV = -0.3;
idxV = order(abs(vlist-counterfactualV))[1]

plot(min_age:horizon ,0*min_age:horizon ,type="l",lty=1,ylim=c(-0,.25),xlab="Age t",ylab=expression(V(Y[t])))
polygon(c(min_age:horizon,rev(min_age:horizon)),c(IRF30_var_U[,1]+IRF30_var_V[,idxV],rev(IRF30_var_U[,1]+IRF30_var_V[,idxV])*0),border=NA,col="grey")
polygon(c(min_age:horizon,rev(min_age:horizon)),c(IRF30_var_V[,idxV],rev(IRF30_var_V[,idxV])*0),border=NA,col="darkgrey")

plot(min_age:horizon ,0*min_age:horizon ,type="l",lty=1,ylim=c(-0,.25),xlab="Age t",ylab=expression(V(Y[t])))
polygon(c(min_age:horizon,rev(min_age:horizon)),c(IRF40_var_U[,1]+IRF40_var_V[,idxV],rev(IRF40_var_U[,1]+IRF40_var_V[,idxV])*0),border=NA,col="grey")
polygon(c(min_age:horizon,rev(min_age:horizon)),c(IRF40_var_V[,idxV],rev(IRF40_var_V[,idxV])*0),border=NA,col="darkgrey")
