################################################################################
# THIS FUNCTION ESTIMATES PHI_U - RETURNS "phi_v_list"
# ROWS = AGES, COLS = S
################################################################################

stationary_est_phi_v <- function(min_age,max_age,slist,phi_u_list){
phi_v_list = NULL;

for(t in min_age:(max_age-q-1)){

extract = extract_data(t,t+1,TRUE);
slist_interval = slist[2] - slist[1];

phi_v = array(0,length(slist));
for(iter in 1:length(slist)){
 phi_v[iter] = mean( exp(1i * slist[iter] * extract[,1]) );
 phi_v[iter] = phi_v[iter] / phi_u_list[(t-min_age+1),iter];
}

phi_v_list = cbind(phi_v_list, phi_v);

}

age = min_age:(max_age-q-1);
colnames(phi_v_list) <- age;

return( t( phi_v_list ) );
}