################################################################################
# THIS FUNCTION COMPUTES COV(V_{T+1} - RHO_{T+1} V_T, V_{T+2} - RHO_{T+2} V_{T+1})
################################################################################

get_covVrhoV <- function(fvvv,vlist,rho1,rho2){

VrhoV1st0 = 0;
VrhoV1st1 = 0;
VrhoV2nd = 0;
for(iter in 1:length(vlist)){
 for(jter in 1:length(vlist)){
  for(kter in 1:length(vlist)){
   VrhoV1st0 = VrhoV1st0 + ( vlist[jter] - rho1 * vlist[iter] ) * fvvv[iter,jter,kter] * (vlist[2]-vlist[1])^3;
   VrhoV1st1 = VrhoV1st1 + ( vlist[kter] - rho2 * vlist[jter] ) * fvvv[iter,jter,kter] * (vlist[2]-vlist[1])^3;
   VrhoV2nd = VrhoV2nd + ( vlist[jter] - rho1 * vlist[iter] )*( vlist[kter] - rho2 * vlist[jter] ) * fvvv[iter,jter,kter] * (vlist[2]-vlist[1])^3;
  }
 }
}
covVrhoV = VrhoV2nd - VrhoV1st0*VrhoV1st1;

return(covVrhoV);
}