################################################################################
# THIS FUNCTION RETURNS A VARIANCE GIVEN CHARACTERISTIC FUNCTION
################################################################################
source("_get_mean.r");

get_variance <- function(phi,slist){
 idx11 = order((slist-2)^2)[1]
 idx12 = order((slist-1)^2)[1]
 idx21 = order((slist+1)^2)[1]
 idx22 = order((slist+2)^2)[1]

 dphi1 = ( phi[idx11] - phi[idx12] ) / (slist[idx11] - slist[idx12]);
 dphi2 = ( phi[idx21] - phi[idx22] ) / (slist[idx21] - slist[idx22]);
 var = abs( ( dphi1 - dphi2 ) /  ((slist[idx11] + slist[idx12])/2 - (slist[idx21] + slist[idx22])/2) );
 var = var - get_mean(phi,slist)^2;
 return( var );
}
