################################################################################
# THIS FUNCTION ESTIMATES THE 4TH MOMENT OF V
################################################################################

est_Ev4 <- function(min_age,max_age,p,q,curr_rho,extract){
#Ev4_list = NULL;

#for(t in min_age:(max_age-q-1)){

N = dim(extract)[1];

y = extract[,1];
kappa = sum(curr_rho) - 1;
mu = extract[,1+q+1] - extract[,1];
for(iter in 1:p){
 mu = mu - curr_rho[iter]*(extract[,1+q+1-iter] - extract[,1]);
}

Ev4 = mean(mu)^4/kappa^4;
Ev4 = Ev4 + ( -6*mean(mu)^3*mean(y) + 6*mean(mu)^2*mean(mu*y) ) / kappa^3;
Ev4 = Ev4 + ( 4*mean(mu*y^2)*mean(mu) - 14*mean(y)*mean(mu)*mean(mu*y) + 3*mean(mu*y)^2 + 11*mean(y)^2*mean(mu)^2 - 4*mean(y^2)*mean(mu)^2 ) / kappa^2;
Ev4 = Ev4 + ( mean(mu*y^3) - 3*mean(mu*y^2)*mean(y) - 3*mean(mu*y)*mean(y^2) + 6*mean(mu*y)*mean(y)^2 - mean(y^3)*mean(mu) + 6*mean(y^2)*mean(mu)*mean(y) - 6*mean(y)^3*mean(mu) ) / kappa^1;

#Ev4_list = cbind(Ev4_list, Ev4);
#}

#age = min_age:(max_age-q-1);
#colnames(Ev4_list) <- age;

#return( t( Ev4_list ) );
return( t( Ev4 ) );
}

