################################################################################
# THIS FUNCTION ESTIMATES AR PARAMETER(S) RHO ALL TOGETHER - RETURNS "rho_list"
################################################################################
source("_extract_data.r");

est_rho_alltogether_nonparametric <- function(min_age,max_age,q){

p = 1;

rho_list = NULL;
for( t in (min_age+p+q-1):(max_age+p+q-1)){
 extract = extract_data(t-p-q-1,t+2,TRUE);
 rho = cov(extract[,4]-extract[,3], extract[,1]);
 rho = rho / cov(extract[,3]-extract[,2], extract[,1]);
 rho_list = cbind(rho_list, rho);
}

age = (min_age):(max_age);

colnames(rho_list) <- age;

return ( t( rho_list ) );
}