################################################################################
# ESTIMATE LAMBDA FOR ARMA(1,1) MODEL
################################################################################
# ESTIMATE VAR OF V_{T+1} - RHO_{T+1} V_{T} LATER USED TO ESTIMATE LAMBDA ######
varVrhoVlist = array(0,length(age_list));
for(iter in 1:length(age_list)){
 t = age_list[iter];
 varVrhoVlist[iter] = get_varVrhoV(fvvlist[iter,,],vlist_coarse,rho_list[t-min_age+1]);
}
varVrhoVlist;

# ESTIMATE COV OF V_{T+1} - RHO_{T+1} V_{T} LATER USED TO ESTIMATE LAMBDA ######
covVrhoVlist = array(0,length(age_list));
for(iter in 1:length(age_list)){
 t = age_list[iter];
 covVrhoVlist[iter] = get_covVrhoV(fvvvlist[iter,,,],vlist_verycoarse,rho_list[t-min_age+1],rho_list[t-min_age+1+1]);
}
covVrhoVlist;

lambda_list = est_lambda(polynomial,age_list,varVrhoVlist,covVrhoVlist);





################################################################################
# ESTIMATE PHI_EPSILON WITH COARSE RESOLUTION OF S
################################################################################
phi_epsilon_list <- est_phi_epsilon(fvvlist,vlist_coarse,fvvvlist,vlist_verycoarse,slist_coarse,rho_list,lambda_list)
phi_lambdaepsilon_list <- est_phi_lambdaepsilon(fvvlist,vlist_coarse,fvvvlist,vlist_verycoarse,slist_coarse,rho_list,lambda_list)
